package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Company;
import com.ruoyi.web.work.domain.vo.CompanyListVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-16
 */
public interface CompanyMapper extends BaseMapper<Company> {
    List<Company> selectList(Company company);

    List<CompanyListVo> selectCompanyList(Company company);

    Company selectCompanyById(@Param("id") Long id);

    @Select("SELECT * FROM tb_company WHERE company_name=#{companyName}")
    Company selectByCompanyName(@Param("companyName") String companyName);
}
